| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::SceneQueryResult Struct Reference
Core » Scene

Holds the results of a scene query. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::SceneQueryResult:
[legend]

## Public Attributes
SceneQueryResultMovableList | movables
| List of movable objects in the query (entities, particle systems etc) More...
SceneQueryResultWorldFragmentList | worldFragments
| List of world fragments. More...

## Detailed Description

Holds the results of a scene query.

## Member Data Documentation

## ◆ movables

SceneQueryResultMovableList Ogre::SceneQueryResult::movables

List of movable objects in the query (entities, particle systems etc)

## ◆ worldFragments

SceneQueryResultWorldFragmentList Ogre::SceneQueryResult::worldFragments

List of world fragments.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h